Ask Your Question
0

Can't play videos on fedora 27 [closed]

asked 2018-01-23 11:10:08 -0600

demahom03 gravatar image

Hi, my problem is that i can't play videos on fedora(even on firefox). The message says: "MPEG-4 AAC decoder, H.264(Main Profile) decoder are required to play the file, but are not installed" but when i want to install them it says that they are already installed.

edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by demahom03
close date 2018-01-23 17:28:43.484656

Comments

How did you try to install the codecs that showed they were already installed?

ssieb gravatar imagessieb ( 2018-01-23 13:24:18 -0600 )edit

And which codecs?

villykruse gravatar imagevillykruse ( 2018-01-23 15:34:58 -0600 )edit

3 Answers

Sort by ยป oldest newest most voted
0

answered 2018-01-23 13:21:28 -0600

ssieb gravatar image

You probably need the gstreamer plugins as well, most likely gstreamer1-plugins-ugly or gstreamer-plugins-ugly.

edit flag offensive delete link more
0

answered 2018-01-23 13:16:26 -0600

aeperezt gravatar image

Please install rpmfusion.org and install codecs from there, to me that is done when install mplayer.

edit flag offensive delete link more

Comments

I assumed the rpmfusion repos were already enabled since he has the codecs.

ssieb gravatar imagessieb ( 2018-01-23 13:23:49 -0600 )edit

i installed mplayer but it only worked with firefox, thank you anyway

demahom03 gravatar imagedemahom03 ( 2018-01-23 15:29:20 -0600 )edit
0

answered 2018-01-23 15:39:03 -0600

demahom03 gravatar image

i installed VLC and everything worked fine, thank you all

edit flag offensive delete link more

Question Tools

1 follower

Stats

Asked: 2018-01-23 11:10:08 -0600

Seen: 2,178 times

Last updated: Jan 23 '18